## org.eclipse.datatools.modelbase.sql.tables
Interface TemporaryTable

All Superinterfaces:
  BaseTable, SQLObject, Table

All Known Implementing Classes:
  TemporaryTableImpl

public interface TemporaryTable
extends BaseTable

A representation of the model object 'Temporary Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Local`
- `Delete On Commit`

See Also:
  `SQLTablesPackage.getTemporaryTable()`

Method Summary
`boolean` `isDeleteOnCommit()` Returns the value of the 'Delete On Commit' attribute.
`boolean` `isLocal()` Returns the value of the 'Local' attribute.
`void` `setDeleteOnCommit(boolean value)` Sets the value of the '`Delete On Commit`' attribute.
`void` `setLocal(boolean value)` Sets the value of the '`Local`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isLocal

    public boolean isLocal()

  Returns the value of the 'Local' attribute.

  If the meaning of the 'Local' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Local' attribute.
  See Also:
    `setLocal(boolean)`, `SQLTablesPackage.getTemporaryTable_Local()`

### setLocal

    public void setLocal(boolean value)

  Sets the value of the '`Local`' attribute.

  Parameters:
    `value` - the new value of the 'Local' attribute.
  See Also:
    `isLocal()`

### isDeleteOnCommit

    public boolean isDeleteOnCommit()

  Returns the value of the 'Delete On Commit' attribute.

  If the meaning of the 'Delete On Commit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delete On Commit' attribute.
  See Also:
    `setDeleteOnCommit(boolean)`, `SQLTablesPackage.getTemporaryTable_DeleteOnCommit()`

### setDeleteOnCommit

    public void setDeleteOnCommit(boolean value)

  Sets the value of the '`Delete On Commit`' attribute.

  Parameters:
    `value` - the new value of the 'Delete On Commit' attribute.
  See Also:
    `isDeleteOnCommit()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.